\documentclass[tikz]{standalone}
\pagenumbering{gobble}
\usepackage{gitdags}

\begin{document}

\begin{tikzpicture}
  \gitDAG[grow right sep = 2em]{
    A -- C
  };
  \gitbranch{master}{above=of C}{C}
  \gitHEAD{above=of master}{master}
\end{tikzpicture}

\end{document}
